from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.extract.extract_with_schema(schema_id="schema_invoice_123", model="meetkai:functionary-urdu-mini-pak", file={
"file_name": "example.file",
"content": open("example.file", "rb"),
}, prompt="Extract the structured invoice fields.")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
import { openAsBlob } from "node:fs";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.extract.extractWithSchema({
schemaId: "schema_invoice_123",
requestBody: {
model: "meetkai:functionary-urdu-mini-pak",
file: await openAsBlob("example.file"),
prompt: "Extract the structured invoice fields.",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Extract.ExtractWithSchemaAsync(
schemaId: "schema_invoice_123",
body: new ExtractWithSchemaRequestBody() {
Model = "meetkai:functionary-urdu-mini-pak",
File = new ExtractWithSchemaFile() {
FileName = "example.file",
Content = System.IO.File.ReadAllBytes("example.file"),
},
Prompt = "Extract the structured invoice fields.",
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/extract/schema/{schema_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form model=meetkai:functionary-urdu-mini-pak \
--form 'prompt=Extract the structured invoice fields.' \
--form file='@example-file'const form = new FormData();
form.append('model', 'meetkai:functionary-urdu-mini-pak');
form.append('prompt', 'Extract the structured invoice fields.');
form.append('file', '(binary)');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://apigw.mka1.com/api/v1/llm/extract/schema/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"invoice_number": "INV-2024-001",
"vendor_name": "Acme Corporation",
"total_amount": 1250,
"date": "2024-01-15"
},
"metadata": {
"model": "meetkai:functionary-urdu-mini-pak",
"filename": "invoice.pdf",
"fileSize": 125000,
"extractedAt": "2024-01-15T10:30:00Z",
"schemaId": "schema_invoice_123",
"schemaName": "Invoice Extraction"
}
}Extrair dados usando o modelo de esquema salvo
Extrai dados estruturados de arquivos usando um modelo de esquema de extração previamente salvo.
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.extract.extract_with_schema(schema_id="schema_invoice_123", model="meetkai:functionary-urdu-mini-pak", file={
"file_name": "example.file",
"content": open("example.file", "rb"),
}, prompt="Extract the structured invoice fields.")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
import { openAsBlob } from "node:fs";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.extract.extractWithSchema({
schemaId: "schema_invoice_123",
requestBody: {
model: "meetkai:functionary-urdu-mini-pak",
file: await openAsBlob("example.file"),
prompt: "Extract the structured invoice fields.",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Extract.ExtractWithSchemaAsync(
schemaId: "schema_invoice_123",
body: new ExtractWithSchemaRequestBody() {
Model = "meetkai:functionary-urdu-mini-pak",
File = new ExtractWithSchemaFile() {
FileName = "example.file",
Content = System.IO.File.ReadAllBytes("example.file"),
},
Prompt = "Extract the structured invoice fields.",
}
);
// handle responseAutorizações
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Cabeçalhos
Optional external end-user identifier forwarded by the API gateway.
Parâmetros de caminho
O identificador exclusivo do esquema de extração a ser usado para esta extração.
Corpo
Resposta
OK
Resposta do ponto de extração contendo os dados estruturados extraídos e os metadados sobre o processo de extração.
Indica se a solicitação de extração foi bem-sucedida.
Metadados sobre a solicitação e execução da extração
Show child attributes
Show child attributes
Os dados estruturados extraídos estão em conformidade com o esquema JSON fornecido. Este é o resultado da análise do arquivo e da extração de informações de acordo com a definição do esquema.
Esta página foi útil?